> ## Documentation Index
> Fetch the complete documentation index at: https://developers.fireblocks.com/llms.txt
> Use this file to discover all available pages before exploring further.

<AgentInstructions>

## Submitting Feedback

If you encounter incorrect, outdated, or confusing documentation on this page, submit feedback:

POST https://developers.fireblocks.com/feedback

```json
{
  "path": "/api-reference/transactions/estimate-the-required-fee-for-an-asset",
  "feedback": "Description of the issue"
}
```

Only submit feedback when you have something specific and actionable to report.

</AgentInstructions>

# Estimate the required fee for an asset

> Gets the estimated required fee for an asset.
Fireblocks fetches, calculates and caches the result every 30 seconds.
Customers should query this API while taking the caching interval into consideration.
Notes:
- The `networkFee` parameter is the `gasPrice` with a given delta added, multiplied by the gasLimit plus the delta. - The estimation provided depends on the asset type.
    - For UTXO-based assets, the response contains the `feePerByte` parameter
    - For ETH-based and all EVM based assets, the response will contain `gasPrice` parameter. This is calculated by adding the `baseFee` to the `actualPriority` based on the latest 12 blocks. The response for ETH-based  contains the `baseFee`, `gasPrice`, and `priorityFee` parameters.
    - For ADA-based assets, the response will contain the parameter `networkFee` and `feePerByte` parameters.
    - For XRP and XLM, the response will contain the transaction fee.
    - For other assets, the response will contain the `networkFee` parameter.

Learn more about Fireblocks Fee Management in the following [guide](https://developers.fireblocks.com/reference/estimate-transaction-fee).
Endpoint Permission: Admin, Non-Signing Admin, Signer, Approver, Editor.



## OpenAPI

````yaml https://docs.fireblocks.com/api/v1/swagger.yaml get /estimate_network_fee
openapi: 3.0.0
info:
  title: Fireblocks API
  description: >
    Fireblocks provides a suite of applications to manage digital asset
    operations and a complete development platform to build your business on the
    blockchain.


    - Visit our website for more information: [Fireblocks
    Website](https://fireblocks.com)

    - Visit our developer docs: [Fireblocks
    DevPortal](https://developers.fireblocks.com)
  version: 1.6.2
  contact:
    email: developers@fireblocks.com
servers:
  - url: https://api.fireblocks.io/v1
    description: Fireblocks Production Environment Base URL
  - url: https://sandbox-api.fireblocks.io/v1
    description: Fireblocks Sandbox Environment Base URL
security: []
paths:
  /estimate_network_fee:
    get:
      tags:
        - Transactions
      summary: Estimate the required fee for an asset
      description: >-
        Gets the estimated required fee for an asset.

        Fireblocks fetches, calculates and caches the result every 30 seconds.

        Customers should query this API while taking the caching interval into
        consideration.

        Notes:

        - The `networkFee` parameter is the `gasPrice` with a given delta added,
        multiplied by the gasLimit plus the delta. - The estimation provided
        depends on the asset type.
            - For UTXO-based assets, the response contains the `feePerByte` parameter
            - For ETH-based and all EVM based assets, the response will contain `gasPrice` parameter. This is calculated by adding the `baseFee` to the `actualPriority` based on the latest 12 blocks. The response for ETH-based  contains the `baseFee`, `gasPrice`, and `priorityFee` parameters.
            - For ADA-based assets, the response will contain the parameter `networkFee` and `feePerByte` parameters.
            - For XRP and XLM, the response will contain the transaction fee.
            - For other assets, the response will contain the `networkFee` parameter.

        Learn more about Fireblocks Fee Management in the following
        [guide](https://developers.fireblocks.com/reference/estimate-transaction-fee).

        Endpoint Permission: Admin, Non-Signing Admin, Signer, Approver, Editor.
      operationId: estimateNetworkFee
      parameters:
        - in: query
          name: assetId
          description: The asset for which to estimate the fee
          required: true
          schema:
            type: string
            x-fb-entity: asset
      responses:
        '200':
          description: Estimated fees response
          headers:
            X-Request-ID:
              $ref: '#/components/headers/X-Request-ID'
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/EstimatedNetworkFeeResponse'
        default:
          $ref: '#/components/responses/Error'
      x-codeSamples:
        - lang: TypeScript
          source: >-
            const response:
            Promise<FireblocksResponse<EstimatedNetworkFeeResponse>> =
            fireblocks.transactions.estimateNetworkFee(transactionsApiEstimateNetworkFeeRequest);
        - lang: Java
          source: >-
            CompletableFuture<ApiResponse<EstimatedNetworkFeeResponse>> response
            = fireblocks.transactions().estimateNetworkFee(assetId);
        - lang: Python
          source: response = fireblocks.transactions.estimate_network_fee(asset_id);
components:
  headers:
    X-Request-ID:
      schema:
        type: string
      description: >-
        Unique ID correlated to the API request. Please provide it in any
        support ticket you create or on Github issues related to Fireblocks SDKs
  schemas:
    EstimatedNetworkFeeResponse:
      type: object
      properties:
        low:
          $ref: '#/components/schemas/NetworkFee'
        medium:
          $ref: '#/components/schemas/NetworkFee'
        high:
          $ref: '#/components/schemas/NetworkFee'
      required:
        - low
        - medium
        - high
    NetworkFee:
      type: object
      properties:
        feePerByte:
          type: string
        gasPrice:
          type: string
        networkFee:
          type: string
        baseFee:
          description: (optional) Base Fee according to EIP-1559 (ETH assets)
          type: string
        priorityFee:
          description: (optional) Priority Fee according to EIP-1559 (ETH assets)
          type: string
    ErrorSchema:
      type: object
      properties:
        message:
          type: string
        code:
          type: number
  responses:
    Error:
      description: Error Response
      headers:
        X-Request-ID:
          $ref: '#/components/headers/X-Request-ID'
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorSchema'

````